Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.mandatory.model
Interface VTMandatoryStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTMandatoryStylePropertyImpl

    public interface VTMandatoryStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

The following features are supported:

- `Highlite Mandatory Fields`
- `Mandatory Marker`

See Also:
  `VTMandatoryPackage.getMandatoryStyleProperty()`

Method Summary
`String` | `getMandatoryMarker()` Returns the value of the 'Mandatory Marker' attribute.
`boolean` | `isHighliteMandatoryFields()` Returns the value of the 'Highlite Mandatory Fields' attribute.
`void` | `setHighliteMandatoryFields(boolean value)` Sets the value of the ' `Highlite Mandatory Fields`' attribute.
`void` | `setMandatoryMarker(String value)` Sets the value of the ' `Mandatory Marker`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isHighliteMandatoryFields

    boolean isHighliteMandatoryFields()

  Returns the value of the 'Highlite Mandatory Fields' attribute. The default value is `"true"`.

  If the meaning of the 'Highlite Mandatory Fields' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Highlite Mandatory Fields' attribute.
  See Also:
    `setHighliteMandatoryFields(boolean)`, `VTMandatoryPackage.getMandatoryStyleProperty_HighliteMandatoryFields()`

### setHighliteMandatoryFields

    void setHighliteMandatoryFields(boolean value)

  Sets the value of the ' `Highlite Mandatory Fields`' attribute.

  Parameters:
    `value` - the new value of the 'Highlite Mandatory Fields' attribute.
  See Also:
    `isHighliteMandatoryFields()`

### getMandatoryMarker

    String getMandatoryMarker()

  Returns the value of the 'Mandatory Marker' attribute. The default value is `"*"`.

  If the meaning of the 'Mandatory Marker' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mandatory Marker' attribute.
  See Also:
    `setMandatoryMarker(String)`, `VTMandatoryPackage.getMandatoryStyleProperty_MandatoryMarker()`

### setMandatoryMarker

    void setMandatoryMarker(String value)

  Sets the value of the ' `Mandatory Marker`' attribute.

  Parameters:
    `value` - the new value of the 'Mandatory Marker' attribute.
  See Also:
    `getMandatoryMarker()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.